html,
body {
    height: 100%;
}

body {

}

body.main {
    background-image: url("images/bg.png?rand");
    background-position: center center;
    background-size: cover;
    /* свойство устанавливает, будет ли повторяться изображение и каким образом */
    background-repeat: no-repeat;
    /* cвойство определяет, будет ли фоновое изображение прокручиваться
    вместе с остальной частью страницы или будет фиксированным */
    background-attachment: fixed;
}

body .content-wrapper {

    background: none;
}

div.container {

    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    padding-top: 40px;
    padding-bottom: 40px;
}

.user-body .main-sidebar, .main-sidebar::before {
    width: 180px;
}

.user-body .nav-link {
    padding: 0.5rem;
}

.user_body .main-sidebar .nav-link {
    width: calc(180px - .5rem * 2);
    transition: width ease-in-out .3s;
}
body.user-body:not(.sidebar-mini-md):not(.sidebar-mini-xs):not(.layout-top-nav) .content-wrapper {

    margin-left: 180px;
}

.user-body .main-sidebar .nav-link {
    width: calc(180px - 0.5rem*2);
}

#news-list .card {

    width: 1000px;
    margin: 0 auto;
}

#news-list .card-body {

    margin: 0 auto;
}

div.content {
    width: 100%;
    max-width: 420px;
    padding: 15px;
    margin: auto;
}

header.mb-10 {
    margin-bottom: 15vh;
}

.masthead-brand {
    position: absolute;
    top: 1.4rem;
    left: 1.4rem;
}

.nav-masthead {
    margin-right: 5vh;
}

.nav-masthead .nav-link.lang-link {
    margin: .25rem 0 .25rem 1rem;
    padding: 0;
    font-weight: 700;
    color: #fff;
    border-bottom: .25rem solid transparent;
}

.nav-masthead .nav-link.lang-link .flag-icon {
    top: .15rem;
}

.nav-masthead .nav-link.lang-link:hover {
    border-bottom: .25rem solid transparent;
}

.nav-masthead .nav-link {
    margin: .25rem 0 .25rem 1rem;
    padding: 0;
    font-weight: 700;
    color: #fff;
    border-bottom: .25rem solid #fff;
}

.nav-masthead .nav-link:hover {
    color: rgba(255, 255, 255, .8);
    border-bottom: .25rem solid rgba(255, 255, 255, .8);
}

.footer {
    background-color: #f5f5f5;
    font-size: .9em;
    height: 60px;
}

.footer > .container {
    padding-right: 15px;
    padding-left: 15px;
}

.not-set {
    color: #c55;
    font-style: italic;
}

/* add sorting icons to gridview sort links */
a.asc:after, a.desc:after {
    content: '';
    left: 3px;
    display: inline-block;
    width: 0;
    height: 0;
    border: solid 5px transparent;
    margin: 4px 4px 2px 4px;
    background: transparent;
}

a.asc:after {
    border-bottom: solid 7px #212529;
    border-top-width: 0;
}

a.desc:after {
    border-top: solid 7px #212529;
    border-bottom-width: 0;
}

.grid-view th {
    white-space: nowrap;
}

.hint-block {
    display: block;
    margin-top: 5px;
    color: #999;
}

.error-summary {
    color: #a94442;
    background: #fdf7f7;
    border-left: 3px solid #eed3d7;
    padding: 10px 20px;
    margin: 0 0 15px 0;
}

/* align the logout "link" (button in form) of the navbar */
.nav li > form > button.logout {
    padding-top: 7px;
    color: rgba(255, 255, 255, 0.5);
}

@media(max-width:767px) {
    .nav li > form > button.logout {
        display:block;
        text-align: left;
        width: 100%;
        padding: 10px 0;
    }
}

.nav > li > form > button.logout:focus,
.nav > li > form > button.logout:hover {
    text-decoration: none;
    color: rgba(255, 255, 255, 0.75);
}

.nav > li > form > button.logout:focus {
    outline: none;
}

.form-group {
    margin-bottom: 1rem;
}

.kv-grid-toolbar .btn-group {

    margin-left: 2px;
}

.popover-x {
    display:none;
}

[class*=sidebar-dark-] a {
    color: #c2c7d0;
}

.d-block {
    display: block!important;
}

.row-flex {
    display: flex;
    flex-flow: row wrap;
}

.footer-guest {
   position: absolute;
    left: 20px;
    bottom: 20px;
}

.tg {
    width: 125px;
    border-radius: 0.6rem;
    opacity: 0.6;
}

.tg span {
    font-size: 0.8rem;
}

.btn-buy {
    text-transform: uppercase;
    font-weight: 700;
    min-width: 60px;
    margin-right: 10px;
}

.btn-check {
    text-transform: uppercase;
    font-weight: 700;
    margin-right: 10px;
}

.post .user-block .description {
    margin-left: 0;
}

.modal-body .alert {

    font-size: 1.2em;
    font-weight: bold;
}

.page-link {

    background: none;
}

.page-item.active .page-link {


    background-color: #20c997;
    border-color: #20c997;
}

.page-item.disabled .page-link
{
    background: none;
}

.sidebar-light-teal {

    background-color: unset;
}